Question: Freebayes tool install in a local instance
1
gravatar for hoky.kim
12 weeks ago by
hoky.kim20
hoky.kim20 wrote:

I tried to install galaxy tool (freebayes package) to local incidence. This package has two tools: BamLeftAlign and Feebayes. Strangely, I see one tool (bamleftalign) installed but not the other. The latter tool is functional in galaxy main, so it does not appear that this tool is retired or deprecated. In manage metadata, the latter tool is shown as invalid tools, but not the former. Any helpful comments or possible solution?

ADD COMMENTlink modified 12 weeks ago • written 12 weeks ago by hoky.kim20
1

Local incidence version is 18.01. So, this is not an issue.

While I am attempting to install freebayes package again, I noticed some tools do not show versions and their current installation status shows warning signs. I suspect that there might be some issues with that. This package is posted by galaxy devteam.

ADD REPLYlink written 12 weeks ago by hoky.kim20

Some bugs fixes have been made since the original 18.01 release. First, check with git to see if you are current. If not, then update and try the install again. Let us know how this goes.

ADD REPLYlink written 12 weeks ago by Jennifer Hillman Jackson25k

What version of Galaxy are you running? From Git or another source? Small point changes are backported, so if it has been a while since you checked for updates, it would be good to do so first, then try installing again.

18.01 is the most current stable release.

18.05 is in a pre-release state and shouldn't be used quite yet.

https://docs.galaxyproject.org/en/master/releases/index.html

ADD REPLYlink written 12 weeks ago by Jennifer Hillman Jackson25k
0
gravatar for hoky.kim
12 weeks ago by
hoky.kim20
hoky.kim20 wrote:

I tried to update to the latest version as you suggested. It throws an error:

config/galaxy.ini.sample: needs merge error: you need to resolve your current index first

I did manage to convert galaxy.ini using the command "make config-convert" to yaml file. I am still getting the same error message.

ADD COMMENTlink written 12 weeks ago by hoky.kim20
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 98 users visited in the last hour